#define NOMINMAX
#include <QtWidgets/QApplication>
#include <QFile>
#include <QTextStream>

#include "qvminspector.h"
#include "qvirt_instrs.h"
#include "qvirt_handlers.h"
#include "framelesswindow.h"
#include "DarkStyle.h"

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    QApplication::setStyle(new DarkStyle);
    FramelessWindow frameless_window;
    const auto window = new qvminspector_t;
    qvirt_instrs_t virt_instr( window );
    qvirt_handlers_t virt_handlers( window );

    frameless_window.setContent( window );
    frameless_window.setWindowIcon(QIcon("icon.ico"));
    frameless_window.show();
    return app.exec();
}